Browsers

Classical World is compatible with the following platform-browser combinations:

Operating system

Minimum Browsers Versions Required

Internet Explorer Netscape

Microsoft Windows 98sp2+

5.5+

6+

Apple Mac OS9.x

5.1+

 4.5+

Apple Mac OSX

5.2+

6.2+

The symbol '+' denotes "or more recent", meaning that this is the minimum level of compatibility required and all more recent versions of that software are compatible.